Skip to content

Get Status of a Batch

Retrieve the current progress and final results of a specific message batch.

GET https://llm.siraya.ai/v1/batches/{batch_id}

Body

batch_id string Required
The unique identifier of the batch.
curl https://llm.siraya.ai/v1/batches/batch_abc123 \
  -H "Authorization: Bearer <API_KEY>"
import requests

url = "https://llm.siraya.ai/v1/batches/batch_abc123"
headers = {"Authorization": "Bearer <API_KEY>"}

response = requests.get(url, headers=headers)
print(response.json())

Example Response

{
  "id": "batch_abc123",
  "status": "completed",
  "results": [
    {
      "custom_id": "request-1",
      "response": {
        "status": 200,
        "body": {
          "choices": [{"message": {"role": "assistant", "content": "Hello!"}}]
        }
      }
    }
  ]
}